# Sink.fromSubscriber

Integration with Reactive Streams, wraps a `org.reactivestreams.Subscriber` as a sink.

@ref[Sink operators](../index.md#sink-operators)

## Signature

@apidoc[Sink.fromSubscriber](Sink$) { scala="#fromSubscriber[T](subscriber:org.reactivestreams.Subscriber[T]):org.apache.pekko.stream.scaladsl.Sink[T,org.apache.pekko.NotUsed]" java="#fromSubscriber(org.reactivestreams.Subscriber)" }


## Description

TODO: We would welcome help on contributing descriptions and examples, see: https://github.com/akka/akka/issues/25646
